package models

import (
	"time"
)

type Template struct {
	ID                   string `json:"id"`
	Name                 string `json:"name"`
	Description          string `json:"description"`
	Dockerfile           string `json:"dockerfile"`
	DockerCompose        string `json:"docker_compose"`
	ConfigTemplate       string `json:"config_template"` // For generating client-specific configs
	ResourceRequirements struct {
		CPU      int `json:"cpu"`
		MemoryMB int `json:"memory_mb"`
		DiskGB   int `json:"disk_gb"`
	} `json:"resource_requirements"`
	CreatedAt time.Time `json:"created_at"`
	UpdatedAt time.Time `json:"updated_at"`
}
